Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Interface SensorConstants

All Known Subinterfaces:
  ADSensorPort, BasicSensorPort, I2CPort, LegacySensorPort

All Known Implementing Classes:
  ColorSensor, CompassSensor, GyroSensor, I2CSensor, IRSeeker, LightSensor, LSC, LServo, NXTCam, NXTe, OpticalDistanceSensor, PSPNXController, RCXLightSensor, RCXLink, RCXMotorMultiplexer, RCXSensorMultiplexer, RemoteSensorPort, SensorPort, SoundSensor, TiltSensor, TouchSensor, UltrasonicSensor

    public interface SensorConstants

Constants used to set Sensor types and modes.

Field Summary
`static int` | `MODE_ANGLESTEP`
`static int` | `MODE_BOOLEAN`
`static int` | `MODE_CELSIUS`
`static int` | `MODE_FARENHEIT`
`static int` | `MODE_PCTFULLSCALE`
`static int` | `MODE_PERIODCOUNTER`
`static int` | `MODE_RAW`
`static int` | `MODE_TRANSITIONCNT`
`static int` | `TYPE_ANGLE`
`static int` | `TYPE_CUSTOM`
`static int` | `TYPE_LIGHT_ACTIVE`
`static int` | `TYPE_LIGHT_INACTIVE`
`static int` | `TYPE_LOWSPEED`
`static int` | `TYPE_LOWSPEED_9V`
`static int` | `TYPE_NO_SENSOR`
`static int` | `TYPE_REFLECTION`
`static int` | `TYPE_SOUND_DB`
`static int` | `TYPE_SOUND_DBA`
`static int` | `TYPE_SWITCH`
`static int` | `TYPE_TEMPERATURE`

Field Detail

### TYPE_NO_SENSOR

    static final int TYPE_NO_SENSOR

See Also:
  Constant Field Values

### TYPE_SWITCH

    static final int TYPE_SWITCH

See Also:
  Constant Field Values

### TYPE_TEMPERATURE

    static final int TYPE_TEMPERATURE

See Also:
  Constant Field Values

### TYPE_REFLECTION

    static final int TYPE_REFLECTION

See Also:
  Constant Field Values

### TYPE_ANGLE

    static final int TYPE_ANGLE

See Also:
  Constant Field Values

### TYPE_LIGHT_ACTIVE

    static final int TYPE_LIGHT_ACTIVE

See Also:
  Constant Field Values

### TYPE_LIGHT_INACTIVE

    static final int TYPE_LIGHT_INACTIVE

See Also:
  Constant Field Values

### TYPE_SOUND_DB

    static final int TYPE_SOUND_DB

See Also:
  Constant Field Values

### TYPE_SOUND_DBA

    static final int TYPE_SOUND_DBA

See Also:
  Constant Field Values

### TYPE_CUSTOM

    static final int TYPE_CUSTOM

See Also:
  Constant Field Values

### TYPE_LOWSPEED

    static final int TYPE_LOWSPEED

See Also:
  Constant Field Values

### TYPE_LOWSPEED_9V

    static final int TYPE_LOWSPEED_9V

See Also:
  Constant Field Values

### MODE_RAW

    static final int MODE_RAW

See Also:
  Constant Field Values

### MODE_BOOLEAN

    static final int MODE_BOOLEAN

See Also:
  Constant Field Values

### MODE_TRANSITIONCNT

    static final int MODE_TRANSITIONCNT

See Also:
  Constant Field Values

### MODE_PERIODCOUNTER

    static final int MODE_PERIODCOUNTER

See Also:
  Constant Field Values

### MODE_PCTFULLSCALE

    static final int MODE_PCTFULLSCALE

See Also:
  Constant Field Values

### MODE_CELSIUS

    static final int MODE_CELSIUS

See Also:
  Constant Field Values

### MODE_FARENHEIT

    static final int MODE_FARENHEIT

See Also:
  Constant Field Values

### MODE_ANGLESTEP

    static final int MODE_ANGLESTEP

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD